<div class="task-item-edit__container">
  <form
    class="task-item-edit__container__form"
    [formGroup]="editTaskForm"
    (ngSubmit)="onSubmit()"
  >
    <span class="task-item-edit__container__form__title">Atualizar Tarefa</span>
    <div class="task-item-edit__container__form__inputs">
      <div class="task-item-edit__container__form__inputs__title">
        <div class="task-item-edit__container__form__inputs__title__container">
          <input
            type="text"
            class="task-item-edit__container__form__inputs__title__container__task"
            formControlName="title"
          />
          <input
            type="checkbox"
            class="task-item-edit__container__form__inputs__title__container__check"
            [checked]="task.completed"
            formControlName="completed"
          />
        </div>
      </div>

      <div class="task-item-edit__container__form__inputs__description">
        <input type="text" formControlName="description" />
      </div>
    </div>

    <div class="task-item-edit__container__form__actions">
      <button
        class="task-item-edit__container__form__actions__cancel"
        type="button"
        (click)="cancelEdit()"
      >
        Cancelar
      </button>
      <button
        class="task-item-edit__container__form__actions__update"
        type="submit"
        [disabled]="editTaskForm.invalid"
      >
        Atualizar
      </button>
    </div>
  </form>
</div>
